> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bullring.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deposit Fee

> Calculate the fee for a deposit.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/banking/deposit/fee
openapi: 3.0.0
info:
  title: Bullring Finance API
  description: >-
    The Bullring Finance API allows you to build powerful cross-border payment
    solutions.
  version: 1.0.0
servers:
  - url: https://api.bullring.finance
    description: Production Server
  - url: https://staging-api.bullring.finance
    description: Sandbox Server
security:
  - x-api-key: []
tags:
  - name: Subaccounts
    description: Operations related to user subaccounts.
  - name: Verification
    description: Endpoints for subaccount verification, including KYC and KYB processes.
  - name: Balances
    description: Endpoints for retrieving account balances.
  - name: Deposits
    description: Endpoints for handling deposits into subaccounts.
  - name: Recipients
    description: Manage payment recipients for withdrawals.
  - name: Withdrawals
    description: Endpoints for handling withdrawals from subaccounts.
  - name: Conversions
    description: Endpoints for currency conversions.
  - name: Rates
    description: Endpoints for currency conversion rates.
  - name: Fees
    description: Endpoints for checking transaction fees.
  - name: Offramp
    description: Endpoints for handling offramp operations.
  - name: Onramp
    description: Endpoints for handling onramp operations.
paths:
  /v1/banking/deposit/fee:
    get:
      tags:
        - Fees
      summary: Get Deposit Fee
      description: Calculate the fee for a deposit.
      parameters:
        - name: currency
          in: query
          schema:
            type: string
            enum:
              - usd
              - usdt
              - usdc
              - eur
              - brl
              - ngn
          example: ngn
        - name: amount
          in: query
          schema:
            type: number
          example: '0.99'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeeCalculationResponse'
              example:
                amount: 0
                currency: NGN
                percentage: 0.005
                flatFee: 0
                originalAmount: 0.99
                netAmount: 0.99
                grossAmount: 0.99
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                statusCode: 400
                timestamp: '2025-11-21T00:41:55.962Z'
                error: Bad Request
                message: >-
                  Invalid or unsupported currency. Supported: USD, EUR, USDC,
                  BRL, USDT, NGN, GHS, ZMW
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                statusCode: 401
                message: Unauthorized
                error: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                statusCode: 403
                message: Forbidden resource
                error: Forbidden
        '404':
          description: Not Found
          content:
            application/json:
              example:
                statusCode: 404
                message: Not Found
                error: Not Found
components:
  schemas:
    FeeCalculationResponse:
      type: object
      properties:
        amount:
          type: number
        currency:
          type: string
        percentage:
          type: number
        flatFee:
          type: number
        originalAmount:
          type: number
        netAmount:
          type: number
        grossAmount:
          type: number
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````